Download & InstallΒΆ

The pyasn1 library is a pure-Python package with no external dependencies. Considering how much industrial or finance software can be stuck with an old platform (think RHEL 5), we struggle to maintain its compatibility back to the very pre-historic Python (which is 2.4!).

The best way to obtain PyASN1 is by running pip:

$ virtualenv venv
$ source venv/bin/activate
$ pip install pyasn1

You may also want to use pyasn1-modules:

$ pip install pyasn1-modules

Alternatively, you can download the latest release from GitHub or PyPI.